com.tibco.tibjms.admin

## Class RVTransportInfo

- java.lang.Object
- - com.tibco.tibjms.admin.TransportInfo
  - - com.tibco.tibjms.admin.RVTransportInfo

-     public class RVTransportInfo
      extends TransportInfo

  This class represents TIBCO Rendezvous transports that are configured on the EMS server. Rendezvous transports are mechanisms for importing and exporting messages between EMS and TIBCO Rendezvous.

- - ### Field Summary

    - ### Fields inherited from class com.tibco.tibjms.admin.TransportInfo

      `NON_PERSISTENT, PERSISTENT, RELIABLE, TPORT_ALL, TPORT_FTL, TPORT_RV, TPORT_RVCM, TPORT_SS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDaemon()` Get the name of the transport's TIBCO Rendezvous daemon parameter.
    `java.lang.String` | `getNetwork()` Get the name of the transport's TIBCO Rendezvous network parameter.
    `RVQueuePolicy` | `getPolicy()` Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport.
    `java.lang.String` | `getService()` Get the name of the transport's TIBCO Rendezvous service parameter.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibco.tibjms.admin.TransportInfo

      `getExportHeaders, getExportProperties, getName, getQueueImportDeliveryMode, getTopicImportDeliveryMode, getType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getService

          public java.lang.String getService()

      Get the name of the transport's TIBCO Rendezvous service parameter.
      Returns:
        the transport's service.

    - #### getNetwork

          public java.lang.String getNetwork()

      Get the name of the transport's TIBCO Rendezvous network parameter.
      Returns:
        the transport's network.

    - #### getDaemon

          public java.lang.String getDaemon()

      Get the name of the transport's TIBCO Rendezvous daemon parameter.
      Returns:
        the transport's daemon.

    - #### getPolicy

          public RVQueuePolicy getPolicy()

      Returns the discard policy of the TIBCO Rendezvous internal queue used by this transport.
      Returns:
        the RV Queue policy for this transport
      Since:
        EMS 5.0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Cloud Software Group, Inc. All rights reserved